<!DOCTYPE html>

<!-----------------------------------------
  Mathématiques Spécifiques II (Algo. Num.)
  Projet - Automate cellulaire paramétrable
  09.06.2022

  Equipe 03 :	M. Allemann Jonas
			    M. Chappuis Sebastien
                Mme. Michel Jeanne
				M. Stouder Xavier
------------------------------------------>

<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>AN22_Projet_Eq03 - App - Cellular automation</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
    <div id="game-wrapper">
        <canvas id="game"></canvas>
    </div>
    <div id="ui-wrapper">
        <div class="input-row">
            <a href="AN22_Projet_Eq03-Doc.html" target="_blank">Click here to open doc</a>
        </div>
        <div class="input-row">
            <label for="input-speed">Speed</label>
            <input id="input-speed" type="range" value="2" min="0" max="60" step="1">
        </div>
        <div class="input-row">
            <label for="input-oob">Out of bounds</label>
            <select id="input-oob" value="no-cells">
                <option value="no-cells">No cells</option>
                <option value="loop-cells">Loop cells</option>
            </select>
        </div>
        <div class="input-row">
            <label for="input-cells-size">Cells size</label>
            <input id="input-cells-size" type="range" value="20" min="4" max="80" step="1">
        </div>
        <div class="input-row">
            <label for="input-adapt">Automatically adapt ruleset</label>
            <select id="input-adapt" value="disabled">
                <option value="disabled">Disabled</option>
                <option value="enabled">Enabled</option>
            </select>
        </div>
        <div class="input-row">
            <label for="input-adapt-frequency">Adapt frequency</label>
            <input id="input-adapt-frequency" type="range" value="50" min="0" max="99" step="1">
        </div>
        <div class="input-row">
            <label for="input-ruleset">Ruleset</label>
            <select id="input-ruleset" value="no-cells">
                <option value="conway">Conway's Game of Life</option>
                <option value="empty">Always empty</option>
                <option value="full">Always full</option>
                <option value="stable">Stable (frozen)</option>
                <option value="custom">&lt;Custom&gt;</option>
            </select>
        </div>
        <div id="ruleset-wrapper">
            <!-- Content added from JavaScript -->
        </div>
        <div class="input-row">
            <button id="input-randomize-ruleset" type="button">Randomize ruleset</button>
        </div>
        <div class="input-row">
            <button id="input-randomize-cells" type="button">Randomize cells</button>
        </div>
        <div class="wrapper">
            <div id="chart"></div>
        </div>
    </div>
    <script src="https://canvasjs.com/assets/script/canvasjs.min.js"></script>
    <script src="conway-ruleset.js"></script>
    <script src="main.js"></script>
</body>
</html>
